Bug 1004316 - [BLOCKED]Wrong error when trying to connect an export storage domain with broken checksum
[BLOCKED]Wrong error when trying to connect an export storage domain with bro...
Status: CLOSED WONTFIX
Product: vdsm
Classification: oVirt
Component: General (Show other bugs)
---
Unspecified Unspecified
unspecified Severity low (vote)
: ovirt-4.0.0-alpha
: ---
Assigned To: Maor
Aharon Canan
:
Depends On: 1130991 1183995
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 08:04 EDT by Dušan Kajan
Modified: 2016-12-06 04:22 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-10 05:07:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑4.0.0?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)
vdsm log from host (6.85 MB, text/x-log)
2013-09-04 08:05 EDT, Dušan Kajan
no flags Details

  None (edit)
Description Dušan Kajan 2013-09-04 08:04:58 EDT
Description of problem:
When trying to connect a storage domain with broken checksum, the vdsm does recognize this, but engine get information, that the domain does not exist, which results in confusing error in webadmin

Version-Release number of selected component (if applicable):
sf20.1

How reproducible:
100%

Steps to Reproduce:
1. Have export domain
2. Change sha_checksum in metadata
3. Try to import the storage domain

Actual results:
Error: There is no storage domain on specified path

Expected results:
Error that is readable in webadmin or at least in engine.log (in engine.log there is nothing at all)

Additional info:
vdsm.log and engine.log in attachment, the time of event is 2013-09-04 13:36:47
Comment 1 Dušan Kajan 2013-09-04 08:05:45 EDT
Created attachment 793642 [details]
vdsm log from host
Comment 2 Ayal Baron 2014-02-16 04:52:19 EST
Need to see if we can differentiate between no domain and broken domain and report different errors.
Comment 6 Maor 2015-01-27 10:45:49 EST
I have added the RFE 1183995 -[RFE] Allow force attaching an export domain with stale pool meta-data by turning it into a data domain to be dependent on this bug 

I think that once we will have the ability to transfer Export Domain to Data Domain this bug will not be relevant any more, therefore
Comment 7 Sandro Bonazzola 2015-09-04 05:02:51 EDT
This is an automated message.
This Bugzilla report has been opened on a version which is not maintained anymore.
Please check if this bug is still relevant in oVirt 3.5.4.
If it's not relevant anymore, please close it (you may use EOL or CURRENT RELEASE resolution)
If it's an RFE please update the version to 4.0 if still relevant.
Comment 8 Red Hat Bugzilla Rules Engine 2015-10-19 06:49:56 EDT
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Note You need to log in before you can comment on or make changes to this bug.